#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    vector<int> ktorvi;
    int med[m];
    map<int,int> camapi;
    for(int i=0;i<n;i++)
    {
        int x;
        cin>>x;
        ktorvi.push_back(x);
        camapi[x]=1;
    }
    sort(ktorvi.begin(),ktorvi.end());
    for(int i=0;i<m;i++)
        cin>>med[i];
    for(int i=0;i<m;i++)
    {
        int rez;
        int ind=lower_bound(ktorvi.begin(),ktorvi.end(),med[i])-ktorvi.begin();
        if(camapi[med[i]]==1)
        {
            int l=ind;
            int d=n-1-l;
            if(l<d)
                rez=d-l;
            else if(l==d)
                rez=0;
            else
                rez=l-d-1;
        }
        else
        {
            int l=ind;
            int d=n-ind;
            if(d==0)
                rez=n;
            else if (l==0)
                rez=n+1;
            else if(l==d)
                rez=0;
            else if(l<d)
                rez=d-l;
            else
                rez=l-d-1;
        }
        cout<<rez<<endl;
    }
    return 0;
}